package domain

type AlibabaWdkMarketingOpenDataRelationQueryWdkMarketOpenResult struct {
	/*
	   结果数据     */
	Datas *[]AlibabaWdkMarketingOpenDataRelationQueryOutTxdDataRelation `json:"datas,omitempty" `

	/*
	   错误描述     */
	Message *string `json:"message,omitempty" `

	/*
	   错误编码     */
	ErrorCode *string `json:"error_code,omitempty" `
}

func (s *AlibabaWdkMarketingOpenDataRelationQueryWdkMarketOpenResult) SetDatas(v []AlibabaWdkMarketingOpenDataRelationQueryOutTxdDataRelation) *AlibabaWdkMarketingOpenDataRelationQueryWdkMarketOpenResult {
	s.Datas = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDataRelationQueryWdkMarketOpenResult) SetMessage(v string) *AlibabaWdkMarketingOpenDataRelationQueryWdkMarketOpenResult {
	s.Message = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDataRelationQueryWdkMarketOpenResult) SetErrorCode(v string) *AlibabaWdkMarketingOpenDataRelationQueryWdkMarketOpenResult {
	s.ErrorCode = &v
	return s
}
